#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,l,h,u=-1,p=0;
    cin>>n>>l;
    for (int i=1;i<=n;i++)
    {
        cin>>h;
        if ((h<=l) and (p==0))
        {
           u=i;
           p++;
        }
    }
    cout<<u;
    return 0;
}